#!/bin/ksh

fct_legal_us_new() {
clear
echo "\n\nLICENSE MANAGEMENT SERVICES TOOLS AGREEMENT\n"
echo "Customer (hereafter \"Customer\" or \"you\") agrees to the following terms and conditions regarding access to,"
echo "and use of, Oracle's License Management Services tools (the \"Agreement\")."
echo "\n\nTools Description\n"
echo "The License Management Services tools (the \"Tools\") are designed to collect technical information regarding"
echo "the use and/or deployment of the Oracle programs.  The Tools may be used to access user identification "
echo "information in your production, test, and development environments and/or to identify instances of the Oracle"
echo "database.  The information obtained during the license review is used to determine your license and services"
echo "compliance.  The information will not be used to market other products or services and will not be distributed"
echo "to third parties. "
echo "\n\nRights Granted\n"
echo "You may use the Tools solely to evaluate your use of the Oracle programs.  Your right to use the Tools will"
echo "terminate upon termination of your Oracle program licenses.  You may not use the Tools to offer or provide "
echo "services for or to third parties, and you may not share the Tools with or permit access to the Tools by any "
echo "thirdparty except a third-party consultant or auditor retained by you to assist with the audit process."
echo "Oracle retains all ownership and intellectual property rights to the Tools."
echo "\n\nWARRANTIES AND DISCLAIMERS\n"
echo "THE TOOLS ARE PROVIDED \"AS IS\"; ORACLE DISCLAIMS ALL EXPRESS AND IMPLIED WARRANTIES, INCLUDING THE IMPLIED "
echo "WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  ORACLE DOES NOT WARRANT THAT THE TOOLS ARE"
echo "THE MOST RECENT VERSION(S), THAT THE TOOLS ARE ERROR FREE, THAT THE TOOLS WILL WORK WITHOUT INTERRUPTION, OR"
echo "THAT THE TOOLS ARE COMPLETELY SECURE.  ORACLE SHALL NOT BE LIABLE FOR ANY DAMAGES, INCLUDING DIRECT, INDIRECT,"
echo "INCIDENTAL, SPECIAL OR CONSEQUENTIAL DAMAGES, FOR LOSS OF PROFITS, REVENUE, DATA OR DATA USE, INCURRED BY YOU"
echo "OR ANY THIRD PARTY IN CONNECTION WITH THE USE OF THE TOOLS.  THE FOREGOING TERMS SHALL APPLY TO THE EXTENT"
echo "PERMITTED BY APPLICABLE LAW.  IN NO EVENT SHALL ORACLE'S LIABILITY FOR DAMAGES RELATING IN ANY WAY TO THIS "
echo "AGREEMENT EXCEED TWENTY-FIVE THOUSAND U.S. DOLLARS (US\$25,000)."
echo  "\n\tPress <RETURN> to continue ...\c";read w;clear;
echo "\n\nExport\n"
echo "You agree that you will comply with all applicable export laws and that none of the Tools will be exported,"
echo "directly or indirectly, in violation of such laws."
echo "\nEntire Agreement\n"
echo "This Agreement constitutes the complete agreement between the parties and supersedes all prior or "
echo "contemporaneous agreements or representations, written or oral, concerning the Tools."
echo "\nOther\n"
echo "This Agreement is governed by the substantive and procedural laws specified in your licensing or distribution"
echo "agreement with Oracle.  You and Oracle agree to submit to the exclusive jurisdiction of, and venue in, the "
echo "courts in the location(s) specified in your licensing or distribution agreement with Oracle.\n"
echo "Oracle Corporation\r"
echo "World Headquarters\r"
echo "500 Oracle Parkway\r"
echo "Redwood Shores, CA 94065\r"
echo "USA\r"
echo "Worldwide Inquiries:\r"
echo "Phone (+1) 650.506.7000\r"
echo "Fax (+1) 650.506.7200\r"
echo "\n\n"
echo "\tPress <RETURN> to acknowledge ...\c";read c
clear
}

fct_legal_us_new

pause() {
 echo  "\n\tPress <RETURN> to continue ...\c";read c
}
usrnmc="applsys"
expfilec="fnd.dmp"
expver="y"
echo "\nEXPORT FND TABLES :\n"
echo "This script runs the EXPORT UTILITY, and export's FND Tables for Ver 10.7-12 \n"
echo "Depending on the Oracle Apps version, some tables will not exist and export of these tables will error out. This is expected. Below are the list of table that does not exist for specific version:\n"
echo "10.7-11 : FND_USER_RESP_GROUPS, FND_SECURITY_GROUPS, WF_LOCAL_USER_GROUPS"
echo "11i     : FND_USER_RESPONSIBILITY,FND_SECURITY_GROUPS, WF_LOCAL_USER_GROUPS"
echo "11.5.10-12 : FND_USER_RESP_GROUPS, FND_USER_RESPONSIBILITY"    
echo "\nDo you want to continue [y/n] ? \c" ; read e
if [ "$e" = "y" -o "$e" = "Y" ]
 then
    echo "\nCompany Name: \c"; read cname
      if [ "$cname" = "" ] ; then cname="ORACLELMS" ; fi
    echo "\nUsername [Default: $usrnmc] : \c" ; read usrnm
      if [ "$usrnm" = "" ] ; then usrnm="applsys" ; fi
    echo "\nPassword: \c" ; read psswd
    echo "\nIs the EXPORT utility version 9 or above [y/n]? \c"; read expver

 if [ -f $ORACLE_HOME/bin/exp ]; then	
       expfile="fnd.dmp";
       exp USERID="$usrnm"/"$psswd" PARFILE=expapps.dat\
                    FILE=$expfile
       gzip $expfile;ls -l $expfile*;pause
       clear
       
       if [ "$expver" = "y" -o "$expver" = "Y" ]; then
         expfile="fnd_logins.dmp"; 
         exp USERID="$usrnm"/"$psswd" PARFILE=expapps_logins.dat\
         FILE=$expfile
         gzip $expfile;ls -l $expfile*;pause
         clear
       
         expfile="fnd_WF.dmp";
         exp USERID="$usrnm"/"$psswd" PARFILE=expapps_WF.dat\
         FILE=$expfile  
         gzip $expfile;ls -l $expfile*;pause
         clear
       else
         expfile="fnd_logins.dmp";
         exp USERID="$usrnm"/"$psswd" PARFILE=expapps_loginsv8.dat\
                        FILE=$expfile
         gzip $expfile;ls -l $expfile*;pause
         clear

         expfile="fnd_WF.dmp";
         exp USERID="$usrnm"/"$psswd" PARFILE=expapps_WFv8.dat\
                    FILE=$expfile
         gzip $expfile;ls -l $expfile*;pause
       fi

      else
        echo "The Oracle Export utility does not exist";exit; 
      fi 
      
else clear;banner " License" ; banner "Management" ; banner " Services";exit;
fi

fct_menu() {
usrnmc="icx"
expfilec=icx.dmp
echo "\nEXPORT ORACLE SELF SERVICE WEB APPLICATION DATA :\n"
select Main in "Self Service Web Applications" "EXIT"
do
case $Main in 
"Self Service Web Applications") 
echo "This script runs the EXPORT UTILITY, and export's ICX Tables for Ver 10.7-12 "
echo "\nDo you want to continue [y/n] ? \c" ; read e
 if [ "$e" = "y" -o "$e" = "Y" ]
  then
   echo "\nUsername [Default: $usrnmc] : \c" ; read usrnm
     if [ "$usrnm" = "" ] ; then usrnm="icx" ; fi
      echo "\nPassword: \c" ; read psswd   
      echo "\nName of the export file [Default: $expfilec] : \c" ; read expfilec
     if [ "$expfilec" != "" ]
     then
        expfile="$expfilec"; else expfile="icx.dmp";
     fi
     if [ -f $ORACLE_HOME/bin/exp ]; then
     exp USERID="$usrnm"/"$psswd" PARFILE=expicx.dat\
                                  FILE=$expfile
     gzip $expfile ; ls -l $expfile*;pause;clear;fct_menu
   else
     echo "\"exp\" Command not found ...";fct_menu
     fi
fi
;; 
"EXIT") clear;banner " License" ; banner "Management" ; banner " Services";
        tar cf "$cname.tar" *.log *.gz; exit;;
*) echo "Invalid selection..please try again";fct_menu;;
esac
done
}
fct_menu
